/*
 * WiPal - A library and a set of tools to manipulate wireless traces.
 * Copyright (C) 2007  Universite Pierre et Marie Curie - Paris 6
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 * MA  02110-1301  USA
 *
 * Author: Thomas Claveirole <thomas.claveirole@lip6.fr>
 */
#ifndef TOOL_VALUED_ITERATOR_HXX_
# define TOOL_VALUED_ITERATOR_HXX_

# include "valued_iterator.hh"

namespace tool
{

  template <class B>
  valued_iterator<B>::~valued_iterator()
  {
  }

  template <class B>
  const typename valued_iterator<B>::value_type&
  valued_iterator<B>::get() const
  {
    return value().get();
  }

  template <class B>
  typename valued_iterator<B>::value_type&
  valued_iterator<B>::get()
  {
    return value().get();
  }

  template <class B>
  const typename valued_iterator<B>::value_type*
  valued_iterator<B>::get_ptr() const
  {
    return value().get_ptr();
  }

  template <class B>
  typename valued_iterator<B>::value_type*
  valued_iterator<B>::get_ptr()
  {
    return value().get_ptr();
  }

  template <class B>
  const typename valued_iterator<B>::optional_value&
  valued_iterator<B>::value() const
  {
    return v_;
  }
  template <class B>
  typename valued_iterator<B>::optional_value&
  valued_iterator<B>::value()
  {
    return v_;
  }

} // End of namespace tool.

#endif // ! TOOL_VALUED_ITERATOR_HXX_
