begin()
{
    local datefmt_yr='\([[:digit:]]\{4\}\)'
    local datefmt_mt='\([[:alpha:]]\{3\}\)'
    local datefmt_dy='\([[:digit:]]\{2\}\)'
    local datefmt_hr='[[:digit:]]\{2\}'
    local datefmt_mn='[[:digit:]]\{2\}'
    local datefmt_sc='[[:digit:]]\{2\}'
    local datefmt_fl='[[:digit:]]*'
    local datefmt_tm="\($datefmt_hr:$datefmt_mn:$datefmt_sc.\?$datefmt_fl\)"
    local datefmt="$datefmt_yr-$datefmt_mt-$datefmt_dy $datefmt_tm UTC"

    local time=`sed "s/^earliest frame TOA: $datefmt\$/\3 \2 \1 \4/;t;d" $in`
    local timeshift=$((${WP_TZ:-0} * 60))
    local unixtime=$((`date -d "TZ=\"UTC\" $time" +%s` + $timeshift))

    data=`tempfile -p $(basename $in).activity.tmp-XXXXX`
    gnuplot_header="set terminal postscript eps color size 8cm, 8cm
set output \"$out\"
set title \"$title\""
    gnuplot_xdata_time="set xdata time
set timefmt \"%s\"
set format x \"%R\"
set xtics rotate by 315
set xlabel \"Time\""
    gnuplot_time="\$0 * 60 + $unixtime"
}

filter()
{
    sed "/begin $1/,/end $1/!d; /$1/d" "$in" > "$data"
}

end()
{
    rm "$data"
}