/*
 * WiPal - A library and a set of tools to manipulate wireless traces.
 * Copyright (C) 2007  Universite Pierre et Marie Curie - Paris 6
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 * MA  02110-1301  USA
 *
 * Author: Thomas Claveirole <thomas.claveirole@lip6.fr>
 */
#ifndef WIFI_FRAME_DISSECTOR_STATUS_HH_
# define WIFI_FRAME_DISSECTOR_STATUS_HH_

# include <cstdlib>

# include <wipal/wifi/frame/mgt.hh>

namespace wifi
{

  namespace frame
  {

    /// Holds the different states of a dissector.
    namespace dissector_status
    {

    /// The different states of a dissector.
      enum status
	{
	  invalid,		///< No exploitable information to parse.
	  valid_control,	///< The control field is valid.
	  valid_addr1,		///< Address one is valid.
	  valid_addr2,		///< Address two is valid.
	  valid_addr3,		///< Address three is valid.
	  valid_seq_ctl,	///< There is a valid sequence control field.
	  valid_addr4		///< Address four is valid.
	};

    } // End of namespace wifi::frame::dissector_status.

  } // End of namespace wifi::frame.

} // End of namespace wifi.


#endif // ! WIFI_FRAME_DISSECTOR_STATUS_HH_
